Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.endpoints
Class MarkupEndpoint

    java.lang.Object
      org.jboss.portal.wsrp.endpoints.WSRPBaseEndpoint
          org.jboss.portal.wsrp.endpoints.MarkupEndpoint

All Implemented Interfaces:
  java.rmi.Remote, javax.xml.rpc.server.ServiceLifecycle, WSRP_v1_Markup_PortType

    public class MarkupEndpoint

extends WSRPBaseEndpoint
implements WSRP_v1_Markup_PortType

Since:
  2.4
Version:
  $Revision: 8784 $
Author:
  Polina Alber, Chris Laprun

Field Summary

Fields inherited from class org.jboss.portal.wsrp.endpoints.WSRPBaseEndpoint
`context, producer`

Constructor Summary
`MarkupEndpoint()`

Method Summary
`MarkupResponse` | `getMarkup(GetMarkup getMarkup)`
`ReturnAny` | `initCookie(InitCookie initCookie)`
`BlockingInteractionResponse` | `performBlockingInteraction(PerformBlockingInteraction performBlockingInteraction)`
`ReturnAny` | `releaseSessions(ReleaseSessions releaseSessions)`

Methods inherited from class org.jboss.portal.wsrp.endpoints.WSRPBaseEndpoint
`destroy, forceSessionAccess, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MarkupEndpoint

    public MarkupEndpoint()

Method Detail

### getMarkup

    public MarkupResponse getMarkup(GetMarkup getMarkup)
                             throws UnsupportedWindowStateFault,
                                    InvalidCookieFault,
                                    InvalidSessionFault,
                                    AccessDeniedFault,
                                    InconsistentParametersFault,
                                    InvalidHandleFault,
                                    UnsupportedLocaleFault,
                                    UnsupportedModeFault,
                                    OperationFailedFault,
                                    MissingParametersFault,
                                    InvalidUserCategoryFault,
                                    InvalidRegistrationFault,
                                    UnsupportedMimeTypeFault,
                                    java.rmi.RemoteException

  Specified by:
    `getMarkup` in interface `WSRP_v1_Markup_PortType`
  Throws:
    `UnsupportedWindowStateFault`
    `InvalidCookieFault`
    `InvalidSessionFault`
    `AccessDeniedFault`
    `InconsistentParametersFault`
    `InvalidHandleFault`
    `UnsupportedLocaleFault`
    `UnsupportedModeFault`
    `OperationFailedFault`
    `MissingParametersFault`
    `InvalidUserCategoryFault`
    `InvalidRegistrationFault`
    `UnsupportedMimeTypeFault`
    `java.rmi.RemoteException`

### performBlockingInteraction

    public BlockingInteractionResponse performBlockingInteraction(PerformBlockingInteraction performBlockingInteraction)
                                                           throws InvalidSessionFault,
                                                                  UnsupportedModeFault,
                                                                  UnsupportedMimeTypeFault,
                                                                  OperationFailedFault,
                                                                  UnsupportedWindowStateFault,
                                                                  UnsupportedLocaleFault,
                                                                  AccessDeniedFault,
                                                                  PortletStateChangeRequiredFault,
                                                                  InvalidRegistrationFault,
                                                                  MissingParametersFault,
                                                                  InvalidUserCategoryFault,
                                                                  InconsistentParametersFault,
                                                                  InvalidHandleFault,
                                                                  InvalidCookieFault,
                                                                  java.rmi.RemoteException

  Specified by:
    `performBlockingInteraction` in interface `WSRP_v1_Markup_PortType`
  Throws:
    `InvalidSessionFault`
    `UnsupportedModeFault`
    `UnsupportedMimeTypeFault`
    `OperationFailedFault`
    `UnsupportedWindowStateFault`
    `UnsupportedLocaleFault`
    `AccessDeniedFault`
    `PortletStateChangeRequiredFault`
    `InvalidRegistrationFault`
    `MissingParametersFault`
    `InvalidUserCategoryFault`
    `InconsistentParametersFault`
    `InvalidHandleFault`
    `InvalidCookieFault`
    `java.rmi.RemoteException`

### releaseSessions

    public ReturnAny releaseSessions(ReleaseSessions releaseSessions)
                              throws InvalidRegistrationFault,
                                     OperationFailedFault,
                                     MissingParametersFault,
                                     AccessDeniedFault,
                                     java.rmi.RemoteException

  Specified by:
    `releaseSessions` in interface `WSRP_v1_Markup_PortType`
  Throws:
    `InvalidRegistrationFault`
    `OperationFailedFault`
    `MissingParametersFault`
    `AccessDeniedFault`
    `java.rmi.RemoteException`

### initCookie

    public ReturnAny initCookie(InitCookie initCookie)
                         throws AccessDeniedFault,
                                OperationFailedFault,
                                InvalidRegistrationFault,
                                java.rmi.RemoteException

  Specified by:
    `initCookie` in interface `WSRP_v1_Markup_PortType`
  Throws:
    `AccessDeniedFault`
    `OperationFailedFault`
    `InvalidRegistrationFault`
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD